Solsoft NSM Format Strings RCE

High Nessus Plugin ID 10540


A firewall proxy application running on the remote host is affected by a remote code execution vulnerability.


The Solsoft NSM application running on the remote host is affected by multiple flaws in ulm logging related to format string processing. An unauthenticated, remote attacker can exploit these to execute arbitrary code.


If you are using NSM, please contact your vendor for a patch.

See Also

Plugin Details

Severity: High

ID: 10540

File Name: nsm_format_strings.nasl

Version: $Revision: 1.31 $

Type: remote

Published: 2000/10/28

Modified: 2017/05/05

Dependencies: 11038, 10107

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P


Base Score: 7.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Vulnerability Information

Required KB Items: Settings/ParanoidReport

Vulnerability Publication Date: 2000/01/01

Reference Information

OSVDB: 439